<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_60) on Tue Apr 26 16:24:20 CEST 2016 -->
<title>T-Index</title>
<meta name="date" content="2016-04-26">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="T-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-19.html">Prev Letter</a></li>
<li><a href="index-21.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-20.html" target="_top">Frames</a></li>
<li><a href="index-20.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a name="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONObject.html#testValidity-java.lang.Object-">testValidity(Object)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></dt>
<dd>
<div class="block">Throw an exception if the object is a NaN or infinite number.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/socket/WebSocket.html#timer">timer</a></span> - Variable in class aasbo.socket.<a href="../aasbo/socket/WebSocket.html" title="class in aasbo.socket">WebSocket</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/CDL.html#toJSONArray-java.lang.String-">toJSONArray(String)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/CDL.html" title="class in aasbo.json">CDL</a></dt>
<dd>
<div class="block">Produce a JSONArray of JSONObjects from a comma delimited text string,
 using the first row as a source of names.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/CDL.html#toJSONArray-aasbo.json.JSONTokener-">toJSONArray(JSONTokener)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/CDL.html" title="class in aasbo.json">CDL</a></dt>
<dd>
<div class="block">Produce a JSONArray of JSONObjects from a comma delimited text string,
 using the first row as a source of names.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/CDL.html#toJSONArray-aasbo.json.JSONArray-java.lang.String-">toJSONArray(JSONArray, String)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/CDL.html" title="class in aasbo.json">CDL</a></dt>
<dd>
<div class="block">Produce a JSONArray of JSONObjects from a comma delimited text string
 using a supplied JSONArray as the source of element names.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/CDL.html#toJSONArray-aasbo.json.JSONArray-aasbo.json.JSONTokener-">toJSONArray(JSONArray, JSONTokener)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/CDL.html" title="class in aasbo.json">CDL</a></dt>
<dd>
<div class="block">Produce a JSONArray of JSONObjects from a comma delimited text string
 using a supplied JSONArray as the source of element names.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONML.html#toJSONArray-java.lang.String-">toJSONArray(String)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/JSONML.html" title="class in aasbo.json">JSONML</a></dt>
<dd>
<div class="block">Convert a well-formed (but not necessarily valid) XML string into a
 JSONArray using the JsonML transform.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONML.html#toJSONArray-aasbo.json.XMLTokener-">toJSONArray(XMLTokener)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/JSONML.html" title="class in aasbo.json">JSONML</a></dt>
<dd>
<div class="block">Convert a well-formed (but not necessarily valid) XML string into a
 JSONArray using the JsonML transform.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONObject.html#toJSONArray-aasbo.json.JSONArray-">toJSONArray(JSONArray)</a></span> - Method in class aasbo.json.<a href="../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></dt>
<dd>
<div class="block">Produce a JSONArray containing the values of the members of this
 JSONObject.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/Cookie.html#toJSONObject-java.lang.String-">toJSONObject(String)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/Cookie.html" title="class in aasbo.json">Cookie</a></dt>
<dd>
<div class="block">Convert a cookie specification string into a JSONObject.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/CookieList.html#toJSONObject-java.lang.String-">toJSONObject(String)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/CookieList.html" title="class in aasbo.json">CookieList</a></dt>
<dd>
<div class="block">Convert a cookie list into a JSONObject.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/HTTP.html#toJSONObject-java.lang.String-">toJSONObject(String)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/HTTP.html" title="class in aasbo.json">HTTP</a></dt>
<dd>
<div class="block">Convert an HTTP header string into a JSONObject.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONArray.html#toJSONObject-aasbo.json.JSONArray-">toJSONObject(JSONArray)</a></span> - Method in class aasbo.json.<a href="../aasbo/json/JSONArray.html" title="class in aasbo.json">JSONArray</a></dt>
<dd>
<div class="block">Produce a JSONObject by combining a JSONArray of names with the values of
 this JSONArray.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONML.html#toJSONObject-aasbo.json.XMLTokener-">toJSONObject(XMLTokener)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/JSONML.html" title="class in aasbo.json">JSONML</a></dt>
<dd>
<div class="block">Convert a well-formed (but not necessarily valid) XML string into a
 JSONObject using the JsonML transform.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONML.html#toJSONObject-java.lang.String-">toJSONObject(String)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/JSONML.html" title="class in aasbo.json">JSONML</a></dt>
<dd>
<div class="block">Convert a well-formed (but not necessarily valid) XML string into a
 JSONObject using the JsonML transform.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/Property.html#toJSONObject-java.util.Properties-">toJSONObject(Properties)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/Property.html" title="class in aasbo.json">Property</a></dt>
<dd>
<div class="block">Converts a property file object into a JSONObject.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/XML.html#toJSONObject-java.lang.String-">toJSONObject(String)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/XML.html" title="class in aasbo.json">XML</a></dt>
<dd>
<div class="block">Convert a well-formed (but not necessarily valid) XML string into a
 JSONObject.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONString.html#toJSONString--">toJSONString()</a></span> - Method in interface aasbo.json.<a href="../aasbo/json/JSONString.html" title="interface in aasbo.json">JSONString</a></dt>
<dd>
<div class="block">The <code>toJSONString</code> method allows a class to produce its own JSON
 serialization.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONArray.html#toList--">toList()</a></span> - Method in class aasbo.json.<a href="../aasbo/json/JSONArray.html" title="class in aasbo.json">JSONArray</a></dt>
<dd>
<div class="block">Returns a java.util.List containing all of the elements in this array.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONObject.html#toMap--">toMap()</a></span> - Method in class aasbo.json.<a href="../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></dt>
<dd>
<div class="block">Returns a java.util.Map containing all of the entrys in this object.</div>
</dd>
<dt><a href="../aasbo/exceptions/TooLargeMessage.html" title="class in aasbo.exceptions"><span class="typeNameLink">TooLargeMessage</span></a> - Exception in <a href="../aasbo/exceptions/package-summary.html">aasbo.exceptions</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aasbo/exceptions/TooLargeMessage.html#TooLargeMessage-java.lang.String-">TooLargeMessage(String)</a></span> - Constructor for exception aasbo.exceptions.<a href="../aasbo/exceptions/TooLargeMessage.html" title="class in aasbo.exceptions">TooLargeMessage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONWriter.html#top">top</a></span> - Variable in class aasbo.json.<a href="../aasbo/json/JSONWriter.html" title="class in aasbo.json">JSONWriter</a></dt>
<dd>
<div class="block">The stack top index.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/Property.html#toProperties-aasbo.json.JSONObject-">toProperties(JSONObject)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/Property.html" title="class in aasbo.json">Property</a></dt>
<dd>
<div class="block">Converts the JSONObject into a property file object.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/CDL.html#toString-aasbo.json.JSONArray-">toString(JSONArray)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/CDL.html" title="class in aasbo.json">CDL</a></dt>
<dd>
<div class="block">Produce a comma delimited text from a JSONArray of JSONObjects.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/CDL.html#toString-aasbo.json.JSONArray-aasbo.json.JSONArray-">toString(JSONArray, JSONArray)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/CDL.html" title="class in aasbo.json">CDL</a></dt>
<dd>
<div class="block">Produce a comma delimited text from a JSONArray of JSONObjects using
 a provided list of names.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/Cookie.html#toString-aasbo.json.JSONObject-">toString(JSONObject)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/Cookie.html" title="class in aasbo.json">Cookie</a></dt>
<dd>
<div class="block">Convert a JSONObject into a cookie specification string.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/CookieList.html#toString-aasbo.json.JSONObject-">toString(JSONObject)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/CookieList.html" title="class in aasbo.json">CookieList</a></dt>
<dd>
<div class="block">Convert a JSONObject into a cookie list.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/HTTP.html#toString-aasbo.json.JSONObject-">toString(JSONObject)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/HTTP.html" title="class in aasbo.json">HTTP</a></dt>
<dd>
<div class="block">Convert a JSONObject into an HTTP header.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONArray.html#toString--">toString()</a></span> - Method in class aasbo.json.<a href="../aasbo/json/JSONArray.html" title="class in aasbo.json">JSONArray</a></dt>
<dd>
<div class="block">Make a JSON text of this JSONArray.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONArray.html#toString-int-">toString(int)</a></span> - Method in class aasbo.json.<a href="../aasbo/json/JSONArray.html" title="class in aasbo.json">JSONArray</a></dt>
<dd>
<div class="block">Make a prettyprinted JSON text of this JSONArray.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONML.html#toString-aasbo.json.JSONArray-">toString(JSONArray)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/JSONML.html" title="class in aasbo.json">JSONML</a></dt>
<dd>
<div class="block">Reverse the JSONML transformation, making an XML text from a JSONArray.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONML.html#toString-aasbo.json.JSONObject-">toString(JSONObject)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/JSONML.html" title="class in aasbo.json">JSONML</a></dt>
<dd>
<div class="block">Reverse the JSONML transformation, making an XML text from a JSONObject.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONObject.Null.html#toString--">toString()</a></span> - Method in class aasbo.json.<a href="../aasbo/json/JSONObject.Null.html" title="class in aasbo.json">JSONObject.Null</a></dt>
<dd>
<div class="block">Get the "null" string value.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONObject.html#toString--">toString()</a></span> - Method in class aasbo.json.<a href="../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></dt>
<dd>
<div class="block">Make a JSON text of this JSONObject.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONObject.html#toString-int-">toString(int)</a></span> - Method in class aasbo.json.<a href="../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></dt>
<dd>
<div class="block">Make a prettyprinted JSON text of this JSONObject.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONStringer.html#toString--">toString()</a></span> - Method in class aasbo.json.<a href="../aasbo/json/JSONStringer.html" title="class in aasbo.json">JSONStringer</a></dt>
<dd>
<div class="block">Return the JSON text.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONTokener.html#toString--">toString()</a></span> - Method in class aasbo.json.<a href="../aasbo/json/JSONTokener.html" title="class in aasbo.json">JSONTokener</a></dt>
<dd>
<div class="block">Make a printable string of this JSONTokener.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/XML.html#toString-java.lang.Object-">toString(Object)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/XML.html" title="class in aasbo.json">XML</a></dt>
<dd>
<div class="block">Convert a JSONObject into a well-formed, element-normal XML string.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/XML.html#toString-java.lang.Object-java.lang.String-">toString(Object, String)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/XML.html" title="class in aasbo.json">XML</a></dt>
<dd>
<div class="block">Convert a JSONObject into a well-formed, element-normal XML string.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/frames/FrameReader.html#translate-boolean-">translate(boolean)</a></span> - Method in class aasbo.frames.<a href="../aasbo/frames/FrameReader.html" title="class in aasbo.frames">FrameReader</a></dt>
<dd>
<div class="block">Hjelpemetode for å      oversette lest data til ferdig streng.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-19.html">Prev Letter</a></li>
<li><a href="index-21.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-20.html" target="_top">Frames</a></li>
<li><a href="index-20.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
